import { TranslateService } from '@ngx-translate/core';
import { FormField } from '@seniorsistemas/angular-components';
import { Observable } from 'rxjs';
import { CalculationDefinitionService } from '../../core/entities/calculation-definition/calculation-definition.service';
import { EntityLookupConfigService } from '../../shared/services/entity-lookup-config.service';
import { Filter } from './../../shared/commons/filter-interface';
export declare class CalculationDefinitionLookupService {
    private translate;
    private configService;
    private calculationDefinitionService;
    private calculationDefinitionLookupDisplayFields;
    calculationDefinitionLookupSeparator: string;
    private calculationDefinitionSearchSubject;
    private calculationDefinitionLookupSubject;
    private ngUnsubscribe;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, calculationDefinitionService: CalculationDefinitionService);
    setDisplayFields(fields: string[]): void;
    getFormField(): FormField;
    private getFilteredCalculationTypeOptions;
    getCalculationDefinitionSearchFields(displayFields?: string[], allowedCalculationTypes?: string[]): FormField[];
    getCalculationDefinitionLookupFields(): FormField[];
    onCalculationDefinitionLookupRequest(event: any): void;
    onCalculationDefinitionLookupRequestObservable(value: string, filter?: Filter[]): Observable<{
        contents: any[];
        totalElements: number;
    }>;
    onCalculationDefinitionSearchRequest(event: any): void;
    onCalculationDefinitionSearchRequestObservable(event: any, filter?: Filter[]): Observable<any>;
    private getLabelForMapping;
    private mapToComponent;
    private setDateForCalculationDefinition;
    private setCalculationDefinitionCalculatioType;
    getFieldForCalculationDefinition(item: any, field: any): any;
}
